Warning for anybody else using Linux Mint Debian ('Betsy')

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Warning for anybody else using Linux Mint Debian ('Betsy')

brian-2
Upgrading to Lazarus 1.6.4 and FPC 3.0.2 as obtained from SourceForge
breaks things irretrievably on Linux Mint Debian 64-bit running on an
AMD Phenom x2 system. I first noticed this when trying to rebuild the
Lazarus IDE generated the following error

> /usr/bin/ld: /usr/lib/fpc/3.0.2/units/x86_64-linux/rtl/cprt0.o: unrecognized relocation (0x2a) in section `.text'
> /usr/bin/ld: final link failed: Bad value
> /usr/share/lazarus/1.6.4/ide/lazarus.pp(154,1) Error: (9013) Error while linking
> /usr/share/lazarus/1.6.4/ide/lazarus.pp(154,1) Fatal: (10026) There were 1 errors compiling module, stopping
> Fatal: (1018) Compilation aborted
> make[2]: *** [lazarus] Error 1
> make[1]: *** [idepkg] Error 2
> make: *** [idepkg] Error 2

Trying to build a simple 'Hello, World' from the 3.0.2 FP IDE also
failed with a linker error.

There are reports of this error "unrecognized relocation (0x2a) in
section `.text'" with the *testing* version of plain Debian, but Betsy
is based on Jessie (stable), NOT testing, and the library versions on
this system *are* the ones from stable, I checked the versions.

Downgrading to FPC 3.0.0 and Lazarus 1.6.2-1 means that everything
works again as expected.

I don't pretend to understand what has happened to cause this error on
a system based on stable rather than testing, but as far as users with
my configuration are concerned, there appears to be a barrier to
upgrading, at least at the moment.


Brian.
_______________________________________________
fpc-pascal maillist  -  [hidden email]
http://lists.freepascal.org/cgi-bin/mailman/listinfo/fpc-pascal
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Warning for anybody else using Linux Mint Debian ('Betsy')

Mattias Gaertner

> brian <[hidden email]> hat am 8. März 2017 um 00:16 geschrieben:
>[...]
> > /usr/bin/ld: /usr/lib/fpc/3.0.2/units/x86_64-linux/rtl/cprt0.o: unrecognized relocation (0x2a) in section `.text'
> > /usr/bin/ld: final link failed: Bad value
>[...]
> Trying to build a simple 'Hello, World' from the 3.0.2 FP IDE also
> failed with a linker error.
>
> There are reports of this error "unrecognized relocation (0x2a) in
> section `.text'" with the *testing* version of plain Debian, but Betsy
> is based on Jessie (stable), NOT testing, and the library versions on
> this system *are* the ones from stable, I checked the versions.
>
> Downgrading to FPC 3.0.0 and Lazarus 1.6.2-1 means that everything
> works again as expected.
>
> I don't pretend to understand what has happened to cause this error on
> a system based on stable rather than testing, but as far as users with
> my configuration are concerned, there appears to be a barrier to
> upgrading, at least at the moment.

You are not alone:
http://bugs.freepascal.org/view.php?id=31490

Mattias
_______________________________________________
fpc-pascal maillist  -  [hidden email]
http://lists.freepascal.org/cgi-bin/mailman/listinfo/fpc-pascal
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Warning for anybody else using Linux Mint Debian ('Betsy')

brian-2
On 03/07/2017 07:10 PM, Mattias Gaertner wrote:

>
>> brian <[hidden email]> hat am 8. März 2017 um 00:16 geschrieben:
>> [...]
>>> /usr/bin/ld: /usr/lib/fpc/3.0.2/units/x86_64-linux/rtl/cprt0.o: unrecognized relocation (0x2a) in section `.text'
>>> /usr/bin/ld: final link failed: Bad value
>> [...]
>> Trying to build a simple 'Hello, World' from the 3.0.2 FP IDE also
>> failed with a linker error.
>>
>> There are reports of this error "unrecognized relocation (0x2a) in
>> section `.text'" with the *testing* version of plain Debian, but Betsy
>> is based on Jessie (stable), NOT testing, and the library versions on
>> this system *are* the ones from stable, I checked the versions.
>>
>> Downgrading to FPC 3.0.0 and Lazarus 1.6.2-1 means that everything
>> works again as expected.
>>
>> I don't pretend to understand what has happened to cause this error on
>> a system based on stable rather than testing, but as far as users with
>> my configuration are concerned, there appears to be a barrier to
>> upgrading, at least at the moment.
>
> You are not alone:
> http://bugs.freepascal.org/view.php?id=31490
>

Thank you for the pointer to the confirmation. I'd not thought it
necessary to check whether the FPC .debs which came with Lazarus 1.6.4
were official ones or not. From what is said in the comments to that
bug, that was obviously my mistake. Lesson learned!

Brian.

_______________________________________________
fpc-pascal maillist  -  [hidden email]
http://lists.freepascal.org/cgi-bin/mailman/listinfo/fpc-pascal
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Warning for anybody else using Linux Mint Debian ('Betsy')

Mark Morgan Lloyd-5
In reply to this post by Mattias Gaertner
On 08/03/17 00:30, Mattias Gaertner wrote:
>> brian <[hidden email]> hat am 8. März 2017 um 00:16 geschrieben:>[...]> > /usr/bin/ld: /usr/lib/fpc/3.0.2/units/x86_64-linux/rtl/cprt0.o: unrecognized relocation (0x2a) in section `.text'> > /usr/bin/ld: final link failed: Bad value>[...]> Trying to build a simple 'Hello, World' from the 3.0.2 FP IDE also> failed with a linker error.> > There are reports of this error "unrecognized relocation (0x2a) in> section `.text'" with the *testing* version of plain Debian, but Betsy> is based on Jessie (stable), NOT testing, and the library versions on> this system *are* the ones from stable, I checked the versions.> > Downgrading to FPC 3.0.0 and Lazarus 1.6.2-1 means that everything> works again as expected.> > I don't pretend to understand what has happened to cause this error on> a system based on stable rather than testing, but as far as users with> my configuration are concerned, there appears to be a barrier to> upgrading, at least at the moment.
> You are not alone:http://bugs.freepascal.org/view.php?id=31490

I've got it running but compiled from source rather than installed from
a deb. AMD, both 32 and 64-bit, both Jessie and Stretch/testing.

The one odd thing I think I noticed during compilation was that FPC's -V
and/or the prerequisite version detection /might/ not have been working
reliably. However I was under a lot of time pressure to test that an app
built reliably and didn't follow that up systematically.

--
Mark Morgan Lloyd
markMLl .AT. telemetry.co .DOT. uk

[Opinions above are the author's, not those of his employers or colleagues]
_______________________________________________
fpc-pascal maillist  -  [hidden email]
http://lists.freepascal.org/cgi-bin/mailman/listinfo/fpc-pascal
Loading...